Bug 218251 - gnome-vfs changes rights for external (USB) media
gnome-vfs changes rights for external (USB) media
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-04 00:55 EST by Frederik Hertzum
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:06:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederik Hertzum 2006-12-04 00:55:23 EST
Description of problem:


Version-Release number of selected component (if applicable):
gnome-vfs2-2.16.2-1.fc6

How reproducible:
Always reproduces. Only tested with one device though.

Steps to Reproduce:
1. Edit /etc/fstab to include a line similar to this:
/dev/sda                /media/usb              vfat    defaults,rw,user,noauto 0 0

2. Add in your media
3. Mount it
4. Do some operations from the terminal (things should work fine)
5. Do some operations from nautilus or another gnome-vfs2 application (rights
should be set to read only).
  
Actual results:
When I try to use a gnome-vfs2 application to copy files from or to an external
drive, the rights for the drive is set to read only -- even if the drive was
actually mounted read-write.

Expected results:
The rights of the drive should been unaltered.

Additional info:
The device in question was a Nokia 6270 with a 128MB MiniSD card.
The closed source nvidia driver was loaded when the tests where done (be back on
that one in a minute).
Comment 1 Frederik Hertzum 2006-12-04 01:03:59 EST
The nvidia driver is unrelated to this bug.
Also please note that gnome will not mount the device automatically. Gnome will
mount it on demand -- alternatively mount it through manual mounting.
Comment 2 Alexander Larsson 2006-12-04 04:14:22 EST
What do you mean by "rights for the drive is set"? It gets remounted read-only?
Comment 3 Frederik Hertzum 2006-12-04 19:24:16 EST
It doesn't actually get remounted (according to /etc/mtab), but the effect is
the same as if the drive was unmounted and mounted read only.
Comment 4 Frederik Hertzum 2006-12-04 19:35:48 EST
Clarification: When a gnome-vfs2 app reads the content of the drive, it has the
side effect of disabling write support for the drive -- regardless of which
program is used to do this. I can mount it just fine with nautilus or any using
other mounting tool (such as mount), but as soon as I open the drive in a
gnome-vfs2 application, it is read-only untill I unmount it and mount it again.

There are no alterations to /etc/mtab and as far as I can tell there is no
unmounting going on in the process of marking the drive as read-only.
Comment 5 Alexander Larsson 2006-12-05 04:38:55 EST
Do you get any warnings in e.g. /var/log/messages. Sometimes hitting kernel or
filesystem errors can turn the mount read-only.
Comment 6 Frederik Hertzum 2006-12-06 06:20:06 EST
I get a ton of Filesystem panics, but no notifications of remounting or unmounting.
Comment 7 Alexander Larsson 2006-12-07 04:05:56 EST
Filesystem panics? Thats sounds really bad... Maybe it triggered read-only
without  logging that.
Comment 8 Frederik Hertzum 2006-12-07 14:09:01 EST
That's my theory. Anyways it appears that there is no usefull information in the
syslog as such. Please note that the bug does not occure for drives not in
/etc/fstab (which seems to be rather important now that I remember to tell you).
I'll have a look at the logs one more time to see if there are anything
significant other than the fs panics.
Comment 9 Bug Zapper 2008-04-04 01:05:28 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 13:06:32 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.